18 Август 2018, 09:23:37Последний пользователь: MistyKeste
Ace Stream Forum » Базовые продукты ACE Stream ( Torrent Stream ) » Анонсы и Релизы  » Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)
Страниц: 1 ... 7 8 [9] 10   Вниз
  Отправить эту тему  |  Печать  
Автор Тема: Тестируем ПО Ace Stream 3.0 для Ubuntu (Ru)  (Прочитано 254073 раз)
0 Пользователей и 1 Гость смотрят эту тему.
coolbmb
Newbie
*
Оффлайн Оффлайн
Сообщений: 1

Email
« Ответ #120 : 01 Июнь 2016, 12:48:18 »

Вы собираетесь выпускать под 16.04?
Сообщить модератору   Записан
kis-kis-may
Newbie
*
Оффлайн Оффлайн
Сообщений: 29

Email
« Ответ #121 : 17 Июнь 2016, 21:42:53 »

от разрабов есть хоть какие-нить комментарии по поводу релиза для новой бубунты?
Сообщить модератору   Записан
Null
Newbie
*
Оффлайн Оффлайн
Сообщений: 7

Email
« Ответ #122 : 02 Июль 2016, 23:29:59 »

Установка пакетов ACEStream из репозитория (для Ubuntu 14.04) в chroot-окружении в Ubuntu 16.04 (а так же в любом другом Debian)
ACEStream ставится в изолированном chroot-окружении Ubuntu 14.04, со всеми необходимыми зависимостями и библиотеками, внутри 16.04 (или в другом Debian).

Итак, по-порядку:
(Далее в листингах yours-user необходимо заменить на имя вашего пользователя, из под которого Вы работаете в системе!)

1. Установить debootstrap:
sudo apt-get install debootstrap
2. Создать chroot (в /opt/chroot, там будет находиться корневая ФС окружения Ubuntu 14.04):
sudo mkdir /opt/chroot
sudo debootstrap --variant=buildd --arch amd64 trusty /opt/chroot http://archive.ubuntu.com/ubuntu/

3. Прописать монтирование псевдофс:
 В /etc/fstab добавить:
/proc /opt/chroot/proc none rbind 0 0
/dev /opt/chroot/dev none rbind 0 0

4. Смотнировать:
sudo mount -a
5. Установить schroot:
sudo apt-get install schroot
6. Настроить schroot:
 В /etc/schroot/schroot.conf добавить:
[trusty]
description=Ubuntu trusty
directory=/opt/chroot
users=yours-user
groups=yours-user
root-groups=root

7. Работа в chroot (пункты с 7.2 по 7.10 выполняются в изолированной chroot-системе, т.е. в п.7.1 bash как-бы запускается в Ubuntu 14.04!):

7.1. Запустить bash в chroot-окружении:
sudo schroot -c trusty -u root --directory=/root
7.2. Добавить в chroot-системе пользователя yours-user:
adduser yours-user
7.3. Сконфигуртровать локаль:
apt-get install locales dialog
locale-gen ru_RU.UTF-8
tzselect
TZ="Europe/Moscow"

7.4. Установить wget:
apt-get install wget
7.5. Добавить репозитории в /etc/apt/sources.list:
printf "deb http://archive.ubuntu.com/ubuntu/ trusty main restricted\ndeb http://archive.ubuntu.com/ubuntu/ trusty universe\ndeb http://archive.ubuntu.com/ubuntu/ trusty multiverse\ndeb http://repo.acestream.org/ubuntu/ trusty main\n" > /etc/apt/sources.list
7.6. Добавить ключ репозитория acestream:
wget -O - http://repo.acestream.org/keys/acestream.public.key | apt-key add -
7.7. Обновить:
apt-get update
7.8. Установить след. пакеты:
apt-get install libc6 libgtk2.0-bin libgtk-3.0 dbus-x11 python2.7 libpython2.7 python-apsw python-m2crypto python-pkg-resources python-gtk2 python-appindicator python-gevent
7.9. Установить acestream:
apt-get install acestream-engine acestream-player
7.10. Выход из bash в chroot:
exit

Запуск acestreamengine:
schroot -c trusty -u yours-user -p -- /usr/bin/acestreamengine --client-gtk &> /dev/null &или в режиме консоли для диагностики:
schroot -c trusty -u yours-user -p -- /usr/bin/acestreamengine --client-console
Запуск acestreamplayer:
schroot -c trusty -u yours-user -p -- /usr/bin/acestreamplayer &> /dev/null
-------
Применение тем оформления среды рабочего стола к приложениям запущенным в chroot.

Чтобы запущенный в chroot aceplayer имел внешний вид соответствующий оформлению рабочего стола необходимо проделать следующее (на примере XFCE в Xubuntu):

1. Прописать монтирование директорий с темами и иконками из основной системы в chroot:
 Добавить в /etc/fstab:
/usr/share/themes /opt/chroot/usr/share/themes none rbind 0 0
/usr/share/icons /opt/chroot/usr/share/icons none rbind 0 0

2. Смотнировать:
sudo mount -a
3. Запустить bash в chroot-окружении:
sudo schroot -c trusty -u root --directory=/root
4. Установить необходимые движки для тем в chroot-системе (gtk2-engines, gtk2-engines-cleanice, gtk2-engines-murrine и пр.)
apt-get install gtk2-engines gtk2-engines-cleanice gtk2-engines-murrine
5. Если необходимо, доустановить в chroot-системе шрифты (fonts-dejavu, fonts-droid, fonts-noto и пр.) и курсоры (xcursor-themes, dmz-cursor-theme и т.п.)
apt-get install fonts-dejavu fonts-droid fonts-noto xcursor-themes dmz-cursor-theme
6. Выход из bash в chroot:
exit
7. Для корректного отображения иконки acestereamengine в трее необходимо создать папку /usr/share/acestream/data/images:
mkdir -p /usr/share/acestream/data/imagesи скопировать содержимое аналогичной папки из chroot в основную систему:
cp /opt/chroot/usr/share/acestream/data/images/* /usr/share/acestream/data/images/
После проделанных операций нужно запустить aceplayer и в настройках в разделе "Интерфейс" выставить "Стиль окон" в GTK+.
« Последнее редактирование: 27 Сентябрь 2016, 17:29:57 от Null » Сообщить модератору   Записан
sokoban
Newbie
*
Оффлайн Оффлайн
Сообщений: 16

Email
« Ответ #123 : 06 Июль 2016, 21:53:21 »

https://www.youtube.com/watch?v=73yuNt6VvLE
Сообщить модератору   Записан
Extremal1981
Newbie
*
Оффлайн Оффлайн
Сообщений: 1

Email
« Ответ #124 : 12 Июль 2016, 11:14:41 »

Не обязательно так сильно плясать с бубном через chroot
Сейчас есть способ поставить AceStream на Ubuntu 16.04 немного проще как мне кажется:

Скачиваем и распаковываем AceStream.tar.gz по ссылочке:
https://drive.google.com/folderview?id=0Bx3208J8pJjsM1RHM3RFeFRXNHc&usp=sharing
sudo apt-get install gdebi
sudo gdebi libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
sudo gdebi acestream-player-data_3.0.2-1.1_amd64.deb
sudo gdebi acestream-player-compat_3.0.2-1.1_amd64.deb
sudo gdebi acestream-engine_3.0.5.1-0.2_amd64.deb
sudo gdebi acestream-player_3.0.2-1.1_amd64.deb

Ну и если нужен acestream-plugin для Firefox ставим из репов 14.04
echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list
sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -
sudo apt-get update
sudo apt-get install acestream-full

К сожалению совсем без бубна пока никак! ((  Ждём пока разрабы уже вспомнят что на новый LTS уже очень много людей по всему миру обновились.
« Последнее редактирование: 12 Июль 2016, 11:16:53 от Extremal1981 » Сообщить модератору   Записан
kis-kis-may
Newbie
*
Оффлайн Оффлайн
Сообщений: 29

Email
« Ответ #125 : 13 Июль 2016, 12:26:45 »

это ломает зависимости способ
Сообщить модератору   Записан
Null
Newbie
*
Оффлайн Оффлайн
Сообщений: 7

Email
« Ответ #126 : 13 Июль 2016, 13:56:36 »

Extremal1981, в принципе, для меня главной причиной изолировать acestream в chroot стала безопасность, ибо с недавних пор aceplayer начал самовольно запускать браузер в попытках зайти на какие-то мутные url и выполнить js-скрипты, видимо рекламного характера... Тут лучше предохраняться, как говориться ))
Сообщить модератору   Записан
GConst
Newbie
*
Оффлайн Оффлайн
Сообщений: 12

Email
« Ответ #127 : 15 Июль 2016, 22:25:31 »

Под вайном терпимо работает движок.

у Вас в 16.04 под вайном работает? прокси пробовали использовать?
Сообщить модератору   Записан
Amunhateb
Newbie
*
Оффлайн Оффлайн
Сообщений: 5

Email
« Ответ #128 : 19 Июль 2016, 13:17:03 »

Под вайном терпимо работает движок.

у Вас в 16.04 под вайном работает? прокси пробовали использовать?

прокси работает.
Сообщить модератору   Записан
leonid.mew
Newbie
*
Оффлайн Оффлайн
Сообщений: 1

Email
« Ответ #129 : 23 Август 2016, 14:26:05 »

Устанавливаю через schroot на xubuntu? почти все получилось, в конце выдает ошибку:
root@mplayer:~# apt-get install acestream-engine acestream-player
Reading package lists... Done
Building dependency tree       
Reading state information... Done
acestream-engine is already the newest version.
acestream-player is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up libpam-systemd:i386 (204-5ubuntu20) ...
initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused
invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
dpkg: error processing package libpam-systemd:i386 (--configure):
 subprocess installed post-installation script returned error exit status 100
dpkg: dependency problems prevent configuration of policykit-1:
 policykit-1 depends on libpam-systemd; however:
  Package libpam-systemd:i386 is not configured yet.

dpkg: error processing package policykit-1 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of colord:
 colord depends on policykit-1 (>= 0.103); however:
  Package policykit-1 is not configured yet.

dpkg: error processing package colord (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libpam-systemd:i386
 policykit-1
 colord
E: Sub-process /usr/bin/dpkg returned an error code (1)
Сообщить модератору   Записан
Null
Newbie
*
Оффлайн Оффлайн
Сообщений: 7

Email
« Ответ #130 : 24 Август 2016, 19:12:14 »

Устанавливаю через schroot на xubuntu? почти все получилось, в конце выдает ошибку:
root@mplayer:~# apt-get install acestream-engine acestream-player
Reading package lists... Done
Building dependency tree       
Reading state information... Done
acestream-engine is already the newest version.
acestream-player is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up libpam-systemd:i386 (204-5ubuntu20) ...
initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused
invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
dpkg: error processing package libpam-systemd:i386 (--configure):
 subprocess installed post-installation script returned error exit status 100
dpkg: dependency problems prevent configuration of policykit-1:
 policykit-1 depends on libpam-systemd; however:
  Package libpam-systemd:i386 is not configured yet.

dpkg: error processing package policykit-1 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of colord:
 colord depends on policykit-1 (>= 0.103); however:
  Package policykit-1 is not configured yet.

dpkg: error processing package colord (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libpam-systemd:i386
 policykit-1
 colord
E: Sub-process /usr/bin/dpkg returned an error code (1)
Да, у меня такие же ошибки были... Не стал с ними разбираться, просто оставил как есть. Эти пакеты всё-равно ни как не влияют на работу acestream...
Сообщить модератору   Записан
Cyril
Newbie
*
Оффлайн Оффлайн
Сообщений: 2

Email
« Ответ #131 : 27 Август 2016, 11:36:17 »

Я пересел с Windows на Ubuntu 16.04 LTS и тоже очень жду Ace Stream. Удивлен, что команда Ace Stream так нерасторопна. Пусть лучше бы для LTS версий тогда писали в первую очередь, чтобы им не пришлось каждые полгода делать сборку для новой версии Ubuntu. А так сделали сборку и в течение четырех лет исправляли баги и улучшали не торопясь. Это было бы правильнее с точки зрения портирования своего продукта на Linux-ситсемы - долгосрочные версии - приоритет.
Сообщить модератору   Записан
Cyril
Newbie
*
Оффлайн Оффлайн
Сообщений: 2

Email
« Ответ #132 : 27 Август 2016, 13:29:20 »

https://www.youtube.com/watch?v=73yuNt6VvLE

Спасибо за ссылку. Я поставил, вроде все в порядке. Правда проверил только в Firefox, отдельно AceStream Player не проверял.

У меня вопрос, а если команда AceStream соберет официальный пакет для Ubuntu 16.04, мне достаточно будет обновить установленные пакеты или надо будет удалять эти и ставить новые?
Сообщить модератору   Записан
Harkonnen
Newbie
*
Оффлайн Оффлайн
Сообщений: 3

Email
« Ответ #133 : 03 Сентябрь 2016, 17:24:20 »

У меня перестал работать acestreamplayer (веб плагин работает), я подозреваю что после секурити апдейта какой-то из базовых либ (debian 8 )

Показывает рекламный ролик и вылетает с вот таким сообшением:
acestreamplayer: /home/odmin/projects/acestreamplayer/vlc-2.1.4/src/posix/thread.c:268: vlc_assert_locked: Assertion `pthread_mutex_lock (p_mutex) == 35' failed.

Гугл на этот сообшение дает 0 хитов O_O.

Никто не сталкивался? Как боротся?
Сообщить модератору   Записан
kis-kis-may
Newbie
*
Оффлайн Оффлайн
Сообщений: 29

Email
« Ответ #134 : 04 Сентябрь 2016, 19:23:10 »

установил через готовые деб-пакеты на lubuntu 16.04.  но запустить сразу не удалось. запуск традиционно через acestreamplayer не подтянул движок, в консоле ругань касающаяся версии vlc и каких-то портов.
тогда решил запустить движок отдельно через acestreamengine --client-gtk нарвался на ошибку что gtk не установлен. запустился он только через acestreamengine --client-console затем запустил плеер и пошло более-менее.
вот только остался один вопрос где теперь настроить време пребуфферизации (я устанавливаю значение в 60 сек) ?
кто знаком помогите пожалуйста!
Сообщить модератору   Записан
Страниц: 1 ... 7 8 [9] 10   Вверх
  Отправить эту тему  |  Печать